[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

970606: compiling .F files with NAG f90



Steve,

>Date: 6 Jun 1997 12:03:50 -0500 
>From: "Steve Mauget" <address@hidden>
>Organization: USDA
>To: "Steve Emmerson" <address@hidden>
>Subject: Re: 970606: compiling .F fil 
>Keywords: 199706021417.IAA27579

In the above message, you wrote:

>    Here are the latest results up to but not including
> "make all".  There are some error messages in config.log
> that I can't figure out so I didn't go past the configure
> step.
> 
>                                   Steve M.
> C==========================================================
> IRIX lbk155 6.2 03131015 IP22
> C==========================================================
> _=/usr/sbin/xwsh
> LANG=
> PATH=.:/usr/sbin:/usr/bsd:/sbin:/usr/bin:/bin:/usr/bin/X11:/usr/local/bin:/usr/local/lib/f90:/usr/local/lib/grads:/usr/local/lib/grads/xample:/usr/etc:/usr/lib:/lib:/usr/local/lib/groff
> NOMSGLABEL=1
> XUSERFILESEARCHPATH=/usr/people/mauget/.desktop-lbk155/%N:/usr/people/mauget/%N:/usr/people/mauget/%L/%N%C:/usr/people/mauget/%l/%N%C:/usr/people/mauget/%N%C:/usr/people/mauget/%L/%N:/usr/people/mauget/%l/%N
> LOGNAME=mauget
> MAIL=/usr/mail/mauget
> USER=mauget
> MSGVERB=text:action
> LASTLOGIN=Last login: Thu Jun 5 14:37:25 CDT 1997 on :0
> DISPLAY=:0.0
> SHELL=/bin/csh
> HOME=/usr/people/mauget
> TERM=iris-ansi
> PWD=/temp/netcdf-3.3.1/src
> TZ=CST6CDT
> NOMSGSEVERITY=1
> WINDOWID=62914564
> PS1=# 
> FC=/usr/local/bin/f90
> CC=/bin/c89
> CFLAGS=-g
> FFLAGS=-g
> CPPFLAGS=
> CXX=
> CXXFLAGS=
> C==========================================================
> STANDARD OUT OF configure --prefix=/usr/local
> creating cache ./config.cache
> checking for m4... m4
> checking user-defined C compiler "/bin/c89"
> checking C compiler... works
> checking for how to make dependencies... cc -M
> configure: warning: Empty CXX variable
> configure: warning: The C++ interface will not be built
> checking user-defined FORTRAN compiler "/usr/local/bin/f90"... works
> checking if FORTRAN compiler handles *.F files... no
> checking for FORTRAN preprocessor... 

Oh oh.  The last line above indicates that the configure script didn't
figure out how to preprocess your FORTRAN files.  Not good.

I've enclosed a new configure script.  Try it after deleting the file
"config.cache".  Let me know what you find.

--------
Steve Emmerson   <address@hidden>

--------new configure script:
#! /bin/sh

# From configure.in Id: configure.in
CPPFLAGS=${CPPFLAGS--DNDEBUG}
CFLAGS=${CFLAGS--O}
FFLAGS=${FFLAGS--O}





























































































































































































































































































































































































# Guess values for system-dependent variables and create Makefiles.
# Generated automatically using autoconf version 2.9 
# Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
#
# This configure script is free software; the Free Software Foundation
# gives unlimited permission to copy, distribute and modify it.

# Defaults:
ac_help=
ac_default_prefix=/usr/local
# Any additions from configure.in:
ac_default_prefix=`(cd ..; pwd)`

# Initialize some variables set by options.
# The variables have the same names as the options, with
# dashes changed to underlines.
build=NONE
cache_file=./config.cache
exec_prefix=NONE
host=NONE
no_create=
nonopt=NONE
no_recursion=
prefix=NONE
program_prefix=NONE
program_suffix=NONE
program_transform_name=s,x,x,
silent=
site=
srcdir=
target=NONE
verbose=
x_includes=NONE
x_libraries=NONE
bindir='${exec_prefix}/bin'
sbindir='${exec_prefix}/sbin'
libexecdir='${exec_prefix}/libexec'
datadir='${prefix}/share'
sysconfdir='${prefix}/etc'
sharedstatedir='${prefix}/com'
localstatedir='${prefix}/var'
libdir='${exec_prefix}/lib'
includedir='${prefix}/include'
oldincludedir='/usr/include'
infodir='${prefix}/info'
mandir='${prefix}/man'

# Initialize some other variables.
subdirs=
MFLAGS= MAKEFLAGS=

ac_prev=
for ac_option
do

  # If the previous option needs an argument, assign it.
  if test -n "$ac_prev"; then
    eval "$ac_prev=\$ac_option"
    ac_prev=
    continue
  fi

  case "$ac_option" in
  -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
  *) ac_optarg= ;;
  esac

  # Accept the important Cygnus configure options, so we can diagnose typos.

  case "$ac_option" in

  -bindir | --bindir | --bindi | --bind | --bin | --bi)
    ac_prev=bindir ;;
  -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
    bindir="$ac_optarg" ;;

  -build | --build | --buil | --bui | --bu)
    ac_prev=build ;;
  -build=* | --build=* | --buil=* | --bui=* | --bu=*)
    build="$ac_optarg" ;;

  -cache-file | --cache-file | --cache-fil | --cache-fi \
  | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
    ac_prev=cache_file ;;
  -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
  | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
    cache_file="$ac_optarg" ;;

  -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
    ac_prev=datadir ;;
  -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
  | --da=*)
    datadir="$ac_optarg" ;;

  -disable-* | --disable-*)
    ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
    # Reject names that are not valid shell variable names.
    if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
      { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 
1; }
    fi
    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
    eval "enable_${ac_feature}=no" ;;

  -enable-* | --enable-*)
    ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
    # Reject names that are not valid shell variable names.
    if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
      { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 
1; }
    fi
    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
    case "$ac_option" in
      *=*) ;;
      *) ac_optarg=yes ;;
    esac
    eval "enable_${ac_feature}='$ac_optarg'" ;;

  -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
  | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
  | --exec | --exe | --ex)
    ac_prev=exec_prefix ;;
  -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
  | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
  | --exec=* | --exe=* | --ex=*)
    exec_prefix="$ac_optarg" ;;

  -gas | --gas | --ga | --g)
    # Obsolete; use --with-gas.
    with_gas=yes ;;

  -help | --help | --hel | --he)
    # Omit some internal or obsolete options to make the list less imposing.
    # This message is too long to be a string in the A/UX 3.1 sh.
    cat << EOF
Usage: configure [options] [host]
Options: [defaults in brackets after descriptions]
Configuration:
  --cache-file=FILE       cache test results in FILE
  --help                  print this message
  --no-create             do not create output files
  --quiet, --silent       do not print \`checking...' messages
  --version               print the version of autoconf that created configure
Directory and file names:
  --prefix=PREFIX         install architecture-independent files in PREFIX
                          [$ac_default_prefix]
  --exec-prefix=EPREFIX   install architecture-dependent files in EPREFIX
                          [same as prefix]
  --bindir=DIR            user executables in DIR [EPREFIX/bin]
  --sbindir=DIR           system admin executables in DIR [EPREFIX/sbin]
  --libexecdir=DIR        program executables in DIR [EPREFIX/libexec]
  --datadir=DIR           read-only architecture-independent data in DIR
                          [PREFIX/share]
  --sysconfdir=DIR        read-only single-machine data in DIR [PREFIX/etc]
  --sharedstatedir=DIR    modifiable architecture-independent data in DIR
                          [PREFIX/com]
  --localstatedir=DIR     modifiable single-machine data in DIR [PREFIX/var]
  --libdir=DIR            object code libraries in DIR [EPREFIX/lib]
  --includedir=DIR        C header files in DIR [PREFIX/include]
  --oldincludedir=DIR     C header files for non-gcc in DIR [/usr/include]
  --infodir=DIR           info documentation in DIR [PREFIX/info]
  --mandir=DIR            man documentation in DIR [PREFIX/man]
  --srcdir=DIR            find the sources in DIR [configure dir or ..]
  --program-prefix=PREFIX prepend PREFIX to installed program names
  --program-suffix=SUFFIX append SUFFIX to installed program names
  --program-transform-name=PROGRAM
                          run sed PROGRAM on installed program names
EOF
    cat << EOF
Host type:
  --build=BUILD           configure for building on BUILD [BUILD=HOST]
  --host=HOST             configure for HOST [guessed]
  --target=TARGET         configure for TARGET [TARGET=HOST]
Features and packages:
  --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
  --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
  --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
  --x-includes=DIR        X include files are in DIR
  --x-libraries=DIR       X library files are in DIR
EOF
    if test -n "$ac_help"; then
      echo "--enable and --with options recognized:$ac_help"
    fi
    exit 0 ;;

  -host | --host | --hos | --ho)
    ac_prev=host ;;
  -host=* | --host=* | --hos=* | --ho=*)
    host="$ac_optarg" ;;

  -includedir | --includedir | --includedi | --included | --include \
  | --includ | --inclu | --incl | --inc)
    ac_prev=includedir ;;
  -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
  | --includ=* | --inclu=* | --incl=* | --inc=*)
    includedir="$ac_optarg" ;;

  -infodir | --infodir | --infodi | --infod | --info | --inf)
    ac_prev=infodir ;;
  -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
    infodir="$ac_optarg" ;;

  -libdir | --libdir | --libdi | --libd)
    ac_prev=libdir ;;
  -libdir=* | --libdir=* | --libdi=* | --libd=*)
    libdir="$ac_optarg" ;;

  -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
  | --libexe | --libex | --libe)
    ac_prev=libexecdir ;;
  -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
  | --libexe=* | --libex=* | --libe=*)
    libexecdir="$ac_optarg" ;;

  -localstatedir | --localstatedir | --localstatedi | --localstated \
  | --localstate | --localstat | --localsta | --localst \
  | --locals | --local | --loca | --loc | --lo)
    ac_prev=localstatedir ;;
  -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
  | --localstate=* | --localstat=* | --localsta=* | --localst=* \
  | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
    localstatedir="$ac_optarg" ;;

  -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
    ac_prev=mandir ;;
  -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
    mandir="$ac_optarg" ;;

  -nfp | --nfp | --nf)
    # Obsolete; use --without-fp.
    with_fp=no ;;

  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
  | --no-cr | --no-c)
    no_create=yes ;;

  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
    no_recursion=yes ;;

  -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
  | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
  | --oldin | --oldi | --old | --ol | --o)
    ac_prev=oldincludedir ;;
  -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
  | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
  | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
    oldincludedir="$ac_optarg" ;;

  -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
    ac_prev=prefix ;;
  -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
    prefix="$ac_optarg" ;;

  -program-prefix | --program-prefix | --program-prefi | --program-pref \
  | --program-pre | --program-pr | --program-p)
    ac_prev=program_prefix ;;
  -program-prefix=* | --program-prefix=* | --program-prefi=* \
  | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
    program_prefix="$ac_optarg" ;;

  -program-suffix | --program-suffix | --program-suffi | --program-suff \
  | --program-suf | --program-su | --program-s)
    ac_prev=program_suffix ;;
  -program-suffix=* | --program-suffix=* | --program-suffi=* \
  | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
    program_suffix="$ac_optarg" ;;

  -program-transform-name | --program-transform-name \
  | --program-transform-nam | --program-transform-na \
  | --program-transform-n | --program-transform- \
  | --program-transform | --program-transfor \
  | --program-transfo | --program-transf \
  | --program-trans | --program-tran \
  | --progr-tra | --program-tr | --program-t)
    ac_prev=program_transform_name ;;
  -program-transform-name=* | --program-transform-name=* \
  | --program-transform-nam=* | --program-transform-na=* \
  | --program-transform-n=* | --program-transform-=* \
  | --program-transform=* | --program-transfor=* \
  | --program-transfo=* | --program-transf=* \
  | --program-trans=* | --program-tran=* \
  | --progr-tra=* | --program-tr=* | --program-t=*)
    program_transform_name="$ac_optarg" ;;

  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
  | -silent | --silent | --silen | --sile | --sil)
    silent=yes ;;

  -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
    ac_prev=sbindir ;;
  -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
  | --sbi=* | --sb=*)
    sbindir="$ac_optarg" ;;

  -sharedstatedir | --sharedstatedir | --sharedstatedi \
  | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
  | --sharedst | --shareds | --shared | --share | --shar \
  | --sha | --sh)
    ac_prev=sharedstatedir ;;
  -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
  | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
  | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
  | --sha=* | --sh=*)
    sharedstatedir="$ac_optarg" ;;

  -site | --site | --sit)
    ac_prev=site ;;
  -site=* | --site=* | --sit=*)
    site="$ac_optarg" ;;

  -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
    ac_prev=srcdir ;;
  -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
    srcdir="$ac_optarg" ;;

  -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
  | --syscon | --sysco | --sysc | --sys | --sy)
    ac_prev=sysconfdir ;;
  -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
  | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
    sysconfdir="$ac_optarg" ;;

  -target | --target | --targe | --targ | --tar | --ta | --t)
    ac_prev=target ;;
  -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
    target="$ac_optarg" ;;

  -v | -verbose | --verbose | --verbos | --verbo | --verb)
    verbose=yes ;;

  -version | --version | --versio | --versi | --vers)
    echo "configure generated by autoconf version 2.9"
    exit 0 ;;

  -with-* | --with-*)
    ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
    # Reject names that are not valid shell variable names.
    if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
      { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 
1; }
    fi
    ac_package=`echo $ac_package| sed 's/-/_/g'`
    case "$ac_option" in
      *=*) ;;
      *) ac_optarg=yes ;;
    esac
    eval "with_${ac_package}='$ac_optarg'" ;;

  -without-* | --without-*)
    ac_package=`echo $ac_option|sed -e 's/-*without-//'`
    # Reject names that are not valid shell variable names.
    if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
      { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 
1; }
    fi
    ac_package=`echo $ac_package| sed 's/-/_/g'`
    eval "with_${ac_package}=no" ;;

  --x)
    # Obsolete; use --with-x.
    with_x=yes ;;

  -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
  | --x-incl | --x-inc | --x-in | --x-i)
    ac_prev=x_includes ;;
  -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
  | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
    x_includes="$ac_optarg" ;;

  -x-libraries | --x-libraries | --x-librarie | --x-librari \
  | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
    ac_prev=x_libraries ;;
  -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
  | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
    x_libraries="$ac_optarg" ;;

  -*) { echo "configure: error: $ac_option: invalid option; use --help to show 
usage" 1>&2; exit 1; }
    ;;

  *)
    if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
      echo "configure: warning: $ac_option: invalid host type" 1>&2
    fi
    if test "x$nonopt" != xNONE; then
      { echo "configure: error: can only configure for one host and one target 
at a time" 1>&2; exit 1; }
    fi
    nonopt="$ac_option"
    ;;

  esac
done

if test -n "$ac_prev"; then
  { echo "configure: error: missing argument to --`echo $ac_prev | sed 
's/_/-/g'`" 1>&2; exit 1; }
fi

trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 
2 15

# File descriptor usage:
# 0 standard input
# 1 file creation
# 2 errors and warnings
# 3 some systems may open it to /dev/tty
# 4 used on the Kubota Titan
# 6 checking for... messages and results
# 5 compiler messages saved in config.log
if test "$silent" = yes; then
  exec 6>/dev/null
else
  exec 6>&1
fi
exec 5>./config.log

echo "\
This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.
" 1>&5

# Strip out --no-create and --no-recursion so they do not pile up.
# Also quote any args containing shell metacharacters.
ac_configure_args=
for ac_arg
do
  case "$ac_arg" in
  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
  | --no-cr | --no-c) ;;
  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
  *" "*|*"      "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
  ac_configure_args="$ac_configure_args '$ac_arg'" ;;
  *) ac_configure_args="$ac_configure_args $ac_arg" ;;
  esac
done

# NLS nuisances.
# Only set LANG and LC_ALL to C if already set.
# These must not be set unconditionally because not all systems understand
# e.g. LANG=C (notably SCO).
if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
if test "${LANG+set}"   = set; then LANG=C;   export LANG;   fi

# confdefs.h avoids OS command line length limits that DEFS can exceed.
rm -rf conftest* confdefs.h
# AIX cpp loses on an empty file, so make sure it contains at least a newline.
echo > confdefs.h

# A filename unique to this package, relative to the directory that
# configure is in, which we can look for to find out if srcdir is correct.
ac_unique_file=libsrc/ncconfig.in

# Find the source files, if location was not specified.
if test -z "$srcdir"; then
  ac_srcdir_defaulted=yes
  # Try the directory containing this script, then its parent.
  ac_prog=$0
  ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
  test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
  srcdir=$ac_confdir
  if test ! -r $srcdir/$ac_unique_file; then
    srcdir=..
  fi
else
  ac_srcdir_defaulted=no
fi
if test ! -r $srcdir/$ac_unique_file; then
  if test "$ac_srcdir_defaulted" = yes; then
    { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; 
exit 1; }
  else
    { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
  fi
fi
srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`

# Prefer explicitly selected file to automatically selected ones.
if test -z "$CONFIG_SITE"; then
  if test "x$prefix" != xNONE; then
    CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
  else
    CONFIG_SITE="$ac_default_prefix/share/config.site 
$ac_default_prefix/etc/config.site"
  fi
fi
for ac_site_file in $CONFIG_SITE; do
  if test -r "$ac_site_file"; then
    echo "loading site script $ac_site_file"
    . "$ac_site_file"
  fi
done

if test -r "$cache_file"; then
  echo "loading cache $cache_file"
  . $cache_file
else
  echo "creating cache $cache_file"
  > $cache_file
fi

ac_ext=c
# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
ac_cpp='$CPP $CPPFLAGS'
ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
ac_link='${CC-cc} -o conftest $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext 
$LIBS 1>&5'

if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
  # Stardent Vistra SVR4 grep lacks -e, says address@hidden.
  if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
    ac_n= ac_c='
' ac_t='        '
  else
    ac_n=-n ac_c= ac_t=
  fi
else
  ac_n= ac_c='\c' ac_t=
fi






    for ac_prog in m4 gm4
do
# Extract the first word of "$ac_prog", so it can be a program name with args.
set dummy $ac_prog; ac_word=$2
echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
if eval "test \"`echo '$''{'ac_cv_prog_M4'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  if test -n "$M4"; then
  ac_cv_prog_M4="$M4" # Let the user override the test.
else
  IFS="${IFS=   }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
  for ac_dir in $PATH; do
    test -z "$ac_dir" && ac_dir=.
    if test -f $ac_dir/$ac_word; then
      ac_cv_prog_M4="$ac_prog"
      break
    fi
  done
  IFS="$ac_save_ifs"
fi
fi
M4="$ac_cv_prog_M4"
if test -n "$M4"; then
  echo "$ac_t""$M4" 1>&6
else
  echo "$ac_t""no" 1>&6
fi

test -n "$M4" && break
done
test -n "$M4" || M4="m4"



    # Because we must have a C compiler, we treat an unset CC
    # the same as an empty CC.
    case "${CC}" in
        '')
            case `uname` in
                ULTRIX)
                    # The native ULTRIX C compiler isn't standard.
                    ccs='gcc cc'
                    ;;
                *)
                    # xlc is before c89 because AIX's sizeof(long long)
                    # differs between the two.
                    #
                    ccs='xlc c89 acc cc gcc'
                    ;;
            esac
            for cc in $ccs; do
                # Extract the first word of "$cc", so it can be a program name 
with args.
set dummy $cc; ac_word=$2
echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  if test -n "$CC"; then
  ac_cv_prog_CC="$CC" # Let the user override the test.
else
  IFS="${IFS=   }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
  for ac_dir in $PATH; do
    test -z "$ac_dir" && ac_dir=.
    if test -f $ac_dir/$ac_word; then
      ac_cv_prog_CC="$cc"
      break
    fi
  done
  IFS="$ac_save_ifs"
fi
fi
CC="$ac_cv_prog_CC"
if test -n "$CC"; then
  echo "$ac_t""$CC" 1>&6
else
  echo "$ac_t""no" 1>&6
fi

                case "$CC" in
                    '') ;;
                    *)  break
                        ;;
                esac
            done
            case "${CC}" in
                '')
                    { echo "configure: error: "Could not find C compiler"" 
1>&2; exit 1; }
                    ;;
            esac
            ;;
        *)
            echo "checking user-defined C compiler \"$CC\"" 1>&6
            ;;
    esac
    #
    # On some systems, a discovered compiler nevertheless won't
    # work (due to licensing, for example); thus, we check the
    # compiler with a test program.
    # 
    echo $ac_n "checking C compiler""... $ac_c" 1>&6
    cat > conftest.$ac_ext <<EOF
#line 1008 "configure"
#include "confdefs.h"

int main() { return 0; }
int t() {

; return 0; }
EOF
if { (eval echo configure:1016: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>
&5; }; then
  rm -rf conftest*
  echo "$ac_t""works" 1>&6
else
  rm -rf conftest*
  { echo "configure: error: $CC failed to compile test program" 1>&2; exit 1; }
fi
rm -f conftest*

    
    case "$CC" in
        *gcc*)
            GCC=yes             # Expected by autoconf(1) macros
            ;;
    esac
    case `uname -sr` in
        'HP-UX A.09'*)
            cat >> confdefs.h <<\EOF
#define _INCLUDE_POSIX_SOURCE 1
EOF

            ;;
    esac


    echo $ac_n "checking for how to make dependencies""... $ac_c" 1>&6
    case `uname -s` in
        IRIX*|OSF1)
            CC_MAKEDEPEND='cc -M'
            ;;
        SunOS)
            case `uname -r` in
                4*)
                    CC_MAKEDEPEND='cc -M'
                    ;;
                5*|*)
                    CC_MAKEDEPEND='cc -xM'
                    ;;
            esac
            ;;
        ULTRIX)
            case `uname -m` in
                RISC)
                    CC_MAKEDEPEND='cc -M'
                    ;;
                VAX)    # Can't handle prototypes in netcdf.h
                    ;;
            esac
            ;;
        AIX)    # Writes to .u files rather than standard out
            ;;
        HP-UX)  # Writes escaped newlines to standard error
            ;;
    esac
    case "${CC_MAKEDEPEND}" in
        '')
            CC_MAKEDEPEND=false
            ;;
    esac
    echo "$ac_t""$CC_MAKEDEPEND" 1>&6
    


    case "${CXX-unset}" in
        unset)
            case `uname` in
                AIX)
                    preferred_cxx='xlC'
                    ;;
            esac
            possible_cxxs="${preferred_cxx} CC cxx c++ g++ gcc"
            ;;
        '') echo "configure: warning: "Empty CXX variable"" 1>&2
            possible_cxxs=
            ;;
        *)  possible_cxxs=$CXX
            ;;
    esac
    case "${possible_cxxs}" in
        '') CXX=
            ;;
        *)  
            ac_ext=C
# CXXFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
ac_cpp='$CXXCPP $CPPFLAGS'
ac_compile='${CXX-g++} -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
ac_link='${CXX-g++} -o conftest $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext 
$LIBS 1>&5'

            for cxx in $possible_cxxs; do
                # Extract the first word of "$cxx", so it can be a program name 
with args.
set dummy $cxx; ac_word=$2
echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
if eval "test \"`echo '$''{'ac_cv_prog_CXX'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  if test -n "$CXX"; then
  ac_cv_prog_CXX="$CXX" # Let the user override the test.
else
  IFS="${IFS=   }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
  for ac_dir in $PATH; do
    test -z "$ac_dir" && ac_dir=.
    if test -f $ac_dir/$ac_word; then
      ac_cv_prog_CXX="$cxx"
      break
    fi
  done
  IFS="$ac_save_ifs"
fi
fi
CXX="$ac_cv_prog_CXX"
if test -n "$CXX"; then
  echo "$ac_t""$CXX" 1>&6
else
  echo "$ac_t""no" 1>&6
fi

                case "$CXX" in
                    '') ;;
                    *)  # On some systems, a discovered compiler nevertheless
                        # won't work (because it's a script to a non-existant
                        # executable, for example); thus, we check the
                        # compiler with a test program.
                        # 
                        echo $ac_n "checking C++ compiler \"$CXX\"""... $ac_c" 
1>&6
                        cat > conftest.$ac_ext <<EOF
#line 1141 "configure"
#include "confdefs.h"

int main() { return 0; }
int t() {

; return 0; }
EOF
if { (eval echo configure:1149: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>
&5; }; then
  rm -rf conftest*
  
                                echo "$ac_t""works" 1>&6
                                break
                            
else
  rm -rf conftest*
  
                                echo "configure: warning: $CXX failed to 
compile test program" 1>&2
                                CXX=
                                unset ac_cv_prog_CXX
                            
fi
rm -f conftest*

                        ;;
                esac
            done
            ac_ext=c
# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
ac_cpp='$CPP $CPPFLAGS'
ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
ac_link='${CC-cc} -o conftest $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext 
$LIBS 1>&5'

            case "${CXX}" in
                '') echo "configure: warning: "Could not find working C++ 
compiler"" 1>&2
                    echo "configure: warning: Setting CXX to the empty string" 
1>&2
                    ;;
            esac
            ;;
    esac
    case "${CXX}" in
        '') echo "configure: warning: The C++ interface will not be built" 1>&2
            ;;
    esac
    
    case `uname` in
        'HP-UX A.09'*)
            cat >> confdefs.h <<\EOF
#define _INCLUDE_POSIX_SOURCE 1
EOF

            ;;
    esac

echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
# On Suns, sometimes $CPP names a directory.
if test -n "$CPP" && test -d "$CPP"; then
  CPP=
fi
if test -z "$CPP"; then
if eval "test \"`echo '$''{'ac_cv_prog_CPP'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
    # This must be in double quotes, not single quotes, because CPP may get
  # substituted into the Makefile and "${CC-cc}" will confuse make.
  CPP="${CC-cc} -E"
  # On the NeXT, cc -E runs the code through the compiler's parser,
  # not just through cpp.
  cat > conftest.$ac_ext <<EOF
#line 1210 "configure"
#include "confdefs.h"
#include <assert.h>
Syntax Error
EOF
ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
{ (eval echo configure:1216: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
ac_err=`grep -v '^ *+' conftest.out`
if test -z "$ac_err"; then
  :
else
  echo "$ac_err" >&5
  rm -rf conftest*
  CPP="${CC-cc} -E -traditional-cpp"
  cat > conftest.$ac_ext <<EOF
#line 1225 "configure"
#include "confdefs.h"
#include <assert.h>
Syntax Error
EOF
ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
{ (eval echo configure:1231: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
ac_err=`grep -v '^ *+' conftest.out`
if test -z "$ac_err"; then
  :
else
  echo "$ac_err" >&5
  rm -rf conftest*
  CPP=/lib/cpp
fi
rm -f conftest*
fi
rm -f conftest*
  ac_cv_prog_CPP="$CPP"
fi
  CPP="$ac_cv_prog_CPP"
else
  ac_cv_prog_CPP="$CPP"
fi
echo "$ac_t""$CPP" 1>&6


    
    case `uname -sr` in
        AIX*)
            # xlf90(1) thinks fortran/ftest.F has bad syntax.
            forts="xlf f77"
            ;;
        BSD/OS*)
            forts="f77 fort77 g77"
            ;;
        HP-UX*)
            # f77(1) doesn't have the -L option.
            forts=fort77
            flibs=-lU77
            ;;
        IRIX*)
            # f90(1) can't link with c89(1)-compiled objects
            forts=f77
            ;;
        IRIX64*)
            forts='f77 g77 fort77'
            ;;
        Linux*)
            forts="f77 fort77 g77"
            ;;
        OSF1*)
            # The use of f90(1) results in the following for
            # an unknown reason (`make' works in the fortran/
            # directory):
            # f90 -c -I../libsrc ftest.F 
            # Last chance handler: pc = 0xa971b8, sp = 0x3fece0, ra = 0xa971b8
            # Last chance handler: internal exception: unwinding
            forts="f77"
            ;;
        'SunOS 4'*)
            forts='f77 g77 fort77'
            ;;
        'SunOS 5'*)
            # SunOS's f90(1) has problems passing a C `char'
            # as a FORTRAN `integer*1' => use f77(1)
            forts="f77"
            ;;
        sn*|UNICOS*)
            forts="fort77 cf77 f77 g77 f90"
            ;;
        *)
            forts="xlf fort77 ghf77 f77 cf77 g77 xlf90 f90"
            ;;
    esac
    FFLAGS="${FFLAGS}"
    FLIBS="${FLIBS} ${flibs}"
    case "${FC+set}" in
        set)
            case "$FC" in
                '')
                    echo "configure: warning: no FORTRAN compiler" 1>&2
                    ;;
                *)
                    echo $ac_n "checking user-defined FORTRAN compiler 
\"$FC\"""... $ac_c" 1>
&6
                    cat <<EOF >conftest.f
                        CALL FOO
                        END
EOF
                    doit='$FC -c ${FFLAGS} conftest.f'
                    if { (eval echo configure:1315: \"$doit\") 1>&5; (eval 
$doit) 2>&5; }; 
then
                        echo "$ac_t""works" 1>&6
                    else
                        echo "configure: warning: $FC failed to compile test 
program" 1>&2
                        FC=
                    fi
                    rm -f conftest.*
                    ;;
            esac
            ;;
        *)
            for fc in $forts; do
                # Extract the first word of "$fc", so it can be a program name 
with args.
set dummy $fc; ac_word=$2
echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
if eval "test \"`echo '$''{'ac_cv_prog_FC'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  if test -n "$FC"; then
  ac_cv_prog_FC="$FC" # Let the user override the test.
else
  IFS="${IFS=   }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
  for ac_dir in $PATH; do
    test -z "$ac_dir" && ac_dir=.
    if test -f $ac_dir/$ac_word; then
      ac_cv_prog_FC="$fc"
      break
    fi
  done
  IFS="$ac_save_ifs"
fi
fi
FC="$ac_cv_prog_FC"
if test -n "$FC"; then
  echo "$ac_t""$FC" 1>&6
else
  echo "$ac_t""no" 1>&6
fi

                case "${FC}" in
                    '')
                        ;;
                    *)
                        #
                        # On some systems, a discovered compiler
                        # nevertheless won't work (due to licensing,
                        # for example); thus, we check the compiler
                        # with a test program.
                        # 
                        cat <<EOF >conftest.f
                            CALL FOO
                            END
EOF
                        doit='$FC -c ${FFLAGS} conftest.f'
                        if { (eval echo configure:1369: \"$doit\") 1>&5; (eval 
$doit) 2>&5; }; then
                            break
                        else
                            echo "configure: warning: $FC failed to compile 
test program" 1>&2
                            unset FC
                            unset ac_cv_prog_FC
                        fi
                        ;;
                esac
            done
            rm -f conftest.*
            case "${FC}" in
                '')
                    echo "configure: warning: "Could not find working FORTRAN 
compiler"" 1>&2
                    FC=
                    ;;
            esac
            ;;
    esac
    
    
    
    #
    # Set the make(1) macro for compiling a .F file.
    #
    case "${FC}" in
        '')
            COMPILE_F=
            ;;
        *)
            echo $ac_n "checking if FORTRAN compiler handles *.F files""... 
$ac_c" 1>
&6
            cat >conftest.h <<\EOF
#define J 1
EOF
            cat >conftest.F <<\EOF
#include "conftest.h"
#define N 5
              real r(J,N)
              end
EOF
            doit='$FC -o conftest ${FFLAGS} conftest.F ${FLIBS}'
            if { (eval echo configure:1410: \"$doit\") 1>&5; (eval $doit) 2>&5; 
}; 
then
                COMPILE_F='$(COMPILE.f) $(FPPFLAGS)'
                echo "$ac_t""yes" 1>&6
            else
                COMPILE_F=
                echo "$ac_t""no" 1>&6
                
    echo $ac_n "checking for FORTRAN preprocessor""... $ac_c" 1>&6
    case "$FPP" in
    '')
        
        FPP="$CPP"
        ;;
    esac
    echo "$ac_t""$FPP" 1>&6
    

            fi
            rm -f conftest*
            ;;
    esac
    


    
    case "$FC" in
        '') ;;
        *)  
            
            echo $ac_n "checking for C-equivalent to FORTRAN routine 
\"SUB\"""... 
$ac_c" 1>&6
            cat >conftest.f <<\EOF
              call sub()
              end
EOF
            doit='$FC -c ${FFLAGS} conftest.f'
            if { (eval echo configure:1445: \"$doit\") 1>&5; (eval $doit) 2>&5; 
}; 
then
                FCALLSCSUB=`nm conftest.o | awk '
                    /SUB_/{print "SUB_";exit}
                    /SUB/ {print "SUB"; exit}
                    /sub_/{print "sub_";exit}
                    /sub/ {print "sub"; exit}'`
                case "$FCALLSCSUB" in
                    '') { echo "configure: error: not found" 1>&2; exit 1; }
                        ;;
                    *)  echo "$ac_t""$FCALLSCSUB" 1>&6
                        ;;
                esac
            else
                { echo "configure: error: Could not compile conftest.f" 1>&2; 
exit 1; }
            fi
            rm -f conftest*
            ;;
    esac


    
    case "$FC" in
    '')
        ;;
    *)
        
        
    for ftype in byte integer*1 "integer(kind(1))"; do
        echo $ac_n "checking for FORTRAN \"$ftype\"""... $ac_c" 1>&6
        cat >conftest.f <<EOF
      subroutine sub(value)
      $ftype value
      end
EOF
        doit='$FC -c ${FFLAGS} conftest.f'
        if { (eval echo configure:1480: \"$doit\") 1>&5; (eval $doit) 2>&5; }; 
then
            echo "$ac_t""yes" 1>&6
            NF_INT1_T=$ftype
            cat >> confdefs.h <<EOF
#define NF_INT1_T $ftype
EOF

            break
        else
            echo "$ac_t""no" 1>&6
        fi
    done
    rm -f conftest*

        
    for ftype in integer*2 "integer(kind(2))"; do
        echo $ac_n "checking for FORTRAN \"$ftype\"""... $ac_c" 1>&6
        cat >conftest.f <<EOF
      subroutine sub(value)
      $ftype value
      end
EOF
        doit='$FC -c ${FFLAGS} conftest.f'
        if { (eval echo configure:1503: \"$doit\") 1>&5; (eval $doit) 2>&5; }; 
then
            echo "$ac_t""yes" 1>&6
            NF_INT2_T=$ftype
            cat >> confdefs.h <<EOF
#define NF_INT2_T $ftype
EOF

            break
        else
            echo "$ac_t""no" 1>&6
        fi
    done
    rm -f conftest*


        case "${NF_INT1_T}" in
            '') ;;
            *)  
    cat >conftestf.f <<EOF
           $NF_INT1_T values(4)
           data values /-1, -2, -3, -4/
           call sub(values)
           end
EOF
    for ctype in "signed char"; do
        echo $ac_n "checking if FORTRAN \"$NF_INT1_T\" is C \"$ctype\"""... 
$ac_c" 1>
&6
        cat >conftest.c <<EOF
            void $FCALLSCSUB(values)
                $ctype values[4];
            {
                exit(values[1] != -2 || values[2] != -3);
            }
EOF
        doit='$CC -c ${CPPFLAGS} ${CFLAGS} conftest.c'
        if { (eval echo configure:1537: \"$doit\") 1>&5; (eval $doit) 2>&5; }; 
then
            doit='$FC -o conftest ${FFLAGS} ${LDFLAGS} conftestf.f conftest.o 
${LIBS}'
            if { (eval echo configure:1539: \"$doit\") 1>&5; (eval $doit) 2>&5; 
}; 
then
                doit=./conftest
                if { (eval echo configure:1541: \"$doit\") 1>&5; (eval $doit) 
2>&5; }; then
                    echo "$ac_t""yes" 1>&6
                    cname=`echo $ctype | tr ' abcdefghijklmnopqrstuvwxyz' \
                        _ABCDEFGHIJKLMNOPQRSTUVWXYZ`
                    cat >> confdefs.h <<EOF
#define NF_INT1_IS_C_$cname 1
EOF

                    break
                else
                    echo "$ac_t""no" 1>&6
                fi
            else
                { echo "configure: error: Could not compile-and-link 
conftestf.f and 
conftest.o" 1>&2; exit 1; }
            fi
        else
            { echo "configure: error: Could not compile conftest.c" 1>&2; exit 
1; }
        fi
    done
    rm -f conftest*

                
    cat >conftestf.f <<EOF
           $NF_INT1_T values(4)
           data values /-1, -2, -3, -4/
           call sub(values)
           end
EOF
    for ctype in "short"; do
        echo $ac_n "checking if FORTRAN \"$NF_INT1_T\" is C \"$ctype\"""... 
$ac_c" 1>
&6
        cat >conftest.c <<EOF
            void $FCALLSCSUB(values)
                $ctype values[4];
            {
                exit(values[1] != -2 || values[2] != -3);
            }
EOF
        doit='$CC -c ${CPPFLAGS} ${CFLAGS} conftest.c'
        if { (eval echo configure:1579: \"$doit\") 1>&5; (eval $doit) 2>&5; }; 
then
            doit='$FC -o conftest ${FFLAGS} ${LDFLAGS} conftestf.f conftest.o 
${LIBS}'
            if { (eval echo configure:1581: \"$doit\") 1>&5; (eval $doit) 2>&5; 
}; 
then
                doit=./conftest
                if { (eval echo configure:1583: \"$doit\") 1>&5; (eval $doit) 
2>&5; }; then
                    echo "$ac_t""yes" 1>&6
                    cname=`echo $ctype | tr ' abcdefghijklmnopqrstuvwxyz' \
                        _ABCDEFGHIJKLMNOPQRSTUVWXYZ`
                    cat >> confdefs.h <<EOF
#define NF_INT1_IS_C_$cname 1
EOF

                    break
                else
                    echo "$ac_t""no" 1>&6
                fi
            else
                { echo "configure: error: Could not compile-and-link 
conftestf.f and 
conftest.o" 1>&2; exit 1; }
            fi
        else
            { echo "configure: error: Could not compile conftest.c" 1>&2; exit 
1; }
        fi
    done
    rm -f conftest*

                
    cat >conftestf.f <<EOF
           $NF_INT1_T values(4)
           data values /-1, -2, -3, -4/
           call sub(values)
           end
EOF
    for ctype in "int"; do
        echo $ac_n "checking if FORTRAN \"$NF_INT1_T\" is C \"$ctype\"""... 
$ac_c" 1>
&6
        cat >conftest.c <<EOF
            void $FCALLSCSUB(values)
                $ctype values[4];
            {
                exit(values[1] != -2 || values[2] != -3);
            }
EOF
        doit='$CC -c ${CPPFLAGS} ${CFLAGS} conftest.c'
        if { (eval echo configure:1621: \"$doit\") 1>&5; (eval $doit) 2>&5; }; 
then
            doit='$FC -o conftest ${FFLAGS} ${LDFLAGS} conftestf.f conftest.o 
${LIBS}'
            if { (eval echo configure:1623: \"$doit\") 1>&5; (eval $doit) 2>&5; 
}; 
then
                doit=./conftest
                if { (eval echo configure:1625: \"$doit\") 1>&5; (eval $doit) 
2>&5; }; then
                    echo "$ac_t""yes" 1>&6
                    cname=`echo $ctype | tr ' abcdefghijklmnopqrstuvwxyz' \
                        _ABCDEFGHIJKLMNOPQRSTUVWXYZ`
                    cat >> confdefs.h <<EOF
#define NF_INT1_IS_C_$cname 1
EOF

                    break
                else
                    echo "$ac_t""no" 1>&6
                fi
            else
                { echo "configure: error: Could not compile-and-link 
conftestf.f and 
conftest.o" 1>&2; exit 1; }
            fi
        else
            { echo "configure: error: Could not compile conftest.c" 1>&2; exit 
1; }
        fi
    done
    rm -f conftest*

                ;;
        esac
        case "${NF_INT2_T}" in
            '') ;;
            *)  
    cat >conftestf.f <<EOF
           $NF_INT2_T values(4)
           data values /-1, -2, -3, -4/
           call sub(values)
           end
EOF
    for ctype in short; do
        echo $ac_n "checking if FORTRAN \"$NF_INT2_T\" is C \"$ctype\"""... 
$ac_c" 1>
&6
        cat >conftest.c <<EOF
            void $FCALLSCSUB(values)
                $ctype values[4];
            {
                exit(values[1] != -2 || values[2] != -3);
            }
EOF
        doit='$CC -c ${CPPFLAGS} ${CFLAGS} conftest.c'
        if { (eval echo configure:1667: \"$doit\") 1>&5; (eval $doit) 2>&5; }; 
then
            doit='$FC -o conftest ${FFLAGS} ${LDFLAGS} conftestf.f conftest.o 
${LIBS}'
            if { (eval echo configure:1669: \"$doit\") 1>&5; (eval $doit) 2>&5; 
}; 
then
                doit=./conftest
                if { (eval echo configure:1671: \"$doit\") 1>&5; (eval $doit) 
2>&5; }; then
                    echo "$ac_t""yes" 1>&6
                    cname=`echo $ctype | tr ' abcdefghijklmnopqrstuvwxyz' \
                        _ABCDEFGHIJKLMNOPQRSTUVWXYZ`
                    cat >> confdefs.h <<EOF
#define NF_INT2_IS_C_$cname 1
EOF

                    break
                else
                    echo "$ac_t""no" 1>&6
                fi
            else
                { echo "configure: error: Could not compile-and-link 
conftestf.f and 
conftest.o" 1>&2; exit 1; }
            fi
        else
            { echo "configure: error: Could not compile conftest.c" 1>&2; exit 
1; }
        fi
    done
    rm -f conftest*

                
    cat >conftestf.f <<EOF
           $NF_INT2_T values(4)
           data values /-1, -2, -3, -4/
           call sub(values)
           end
EOF
    for ctype in int; do
        echo $ac_n "checking if FORTRAN \"$NF_INT2_T\" is C \"$ctype\"""... 
$ac_c" 1>
&6
        cat >conftest.c <<EOF
            void $FCALLSCSUB(values)
                $ctype values[4];
            {
                exit(values[1] != -2 || values[2] != -3);
            }
EOF
        doit='$CC -c ${CPPFLAGS} ${CFLAGS} conftest.c'
        if { (eval echo configure:1709: \"$doit\") 1>&5; (eval $doit) 2>&5; }; 
then
            doit='$FC -o conftest ${FFLAGS} ${LDFLAGS} conftestf.f conftest.o 
${LIBS}'
            if { (eval echo configure:1711: \"$doit\") 1>&5; (eval $doit) 2>&5; 
}; 
then
                doit=./conftest
                if { (eval echo configure:1713: \"$doit\") 1>&5; (eval $doit) 
2>&5; }; then
                    echo "$ac_t""yes" 1>&6
                    cname=`echo $ctype | tr ' abcdefghijklmnopqrstuvwxyz' \
                        _ABCDEFGHIJKLMNOPQRSTUVWXYZ`
                    cat >> confdefs.h <<EOF
#define NF_INT2_IS_C_$cname 1
EOF

                    break
                else
                    echo "$ac_t""no" 1>&6
                fi
            else
                { echo "configure: error: Could not compile-and-link 
conftestf.f and 
conftest.o" 1>&2; exit 1; }
            fi
        else
            { echo "configure: error: Could not compile conftest.c" 1>&2; exit 
1; }
        fi
    done
    rm -f conftest*

                ;;
        esac
        
    cat >conftestf.f <<EOF
           integer values(4)
           data values /-1, -2, -3, -4/
           call sub(values)
           end
EOF
    for ctype in int long; do
        echo $ac_n "checking if FORTRAN \"integer\" is C \"$ctype\"""... $ac_c" 
1>&6
        cat >conftest.c <<EOF
            void $FCALLSCSUB(values)
                $ctype values[4];
            {
                exit(values[1] != -2 || values[2] != -3);
            }
EOF
        doit='$CC -c ${CPPFLAGS} ${CFLAGS} conftest.c'
        if { (eval echo configure:1753: \"$doit\") 1>&5; (eval $doit) 2>&5; }; 
then
            doit='$FC -o conftest ${FFLAGS} ${LDFLAGS} conftestf.f conftest.o 
${LIBS}'
            if { (eval echo configure:1755: \"$doit\") 1>&5; (eval $doit) 2>&5; 
}; 
then
                doit=./conftest
                if { (eval echo configure:1757: \"$doit\") 1>&5; (eval $doit) 
2>&5; }; then
                    echo "$ac_t""yes" 1>&6
                    cname=`echo $ctype | tr ' abcdefghijklmnopqrstuvwxyz' \
                        _ABCDEFGHIJKLMNOPQRSTUVWXYZ`
                    cat >> confdefs.h <<EOF
#define NF_INT_IS_C_$cname 1
EOF

                    break
                else
                    echo "$ac_t""no" 1>&6
                fi
            else
                { echo "configure: error: Could not compile-and-link 
conftestf.f and 
conftest.o" 1>&2; exit 1; }
            fi
        else
            { echo "configure: error: Could not compile conftest.c" 1>&2; exit 
1; }
        fi
    done
    rm -f conftest*

        
    cat >conftestf.f <<EOF
           real values(4)
           data values /-1, -2, -3, -4/
           call sub(values)
           end
EOF
    for ctype in float double; do
        echo $ac_n "checking if FORTRAN \"real\" is C \"$ctype\"""... $ac_c" 
1>&6
        cat >conftest.c <<EOF
            void $FCALLSCSUB(values)
                $ctype values[4];
            {
                exit(values[1] != -2 || values[2] != -3);
            }
EOF
        doit='$CC -c ${CPPFLAGS} ${CFLAGS} conftest.c'
        if { (eval echo configure:1795: \"$doit\") 1>&5; (eval $doit) 2>&5; }; 
then
            doit='$FC -o conftest ${FFLAGS} ${LDFLAGS} conftestf.f conftest.o 
${LIBS}'
            if { (eval echo configure:1797: \"$doit\") 1>&5; (eval $doit) 2>&5; 
}; 
then
                doit=./conftest
                if { (eval echo configure:1799: \"$doit\") 1>&5; (eval $doit) 
2>&5; }; then
                    echo "$ac_t""yes" 1>&6
                    cname=`echo $ctype | tr ' abcdefghijklmnopqrstuvwxyz' \
                        _ABCDEFGHIJKLMNOPQRSTUVWXYZ`
                    cat >> confdefs.h <<EOF
#define NF_REAL_IS_C_$cname 1
EOF

                    break
                else
                    echo "$ac_t""no" 1>&6
                fi
            else
                { echo "configure: error: Could not compile-and-link 
conftestf.f and 
conftest.o" 1>&2; exit 1; }
            fi
        else
            { echo "configure: error: Could not compile conftest.c" 1>&2; exit 
1; }
        fi
    done
    rm -f conftest*

        
    cat >conftestf.f <<EOF
           doubleprecision values(4)
           data values /-1, -2, -3, -4/
           call sub(values)
           end
EOF
    for ctype in double float; do
        echo $ac_n "checking if FORTRAN \"doubleprecision\" is C 
\"$ctype\"""... 
$ac_c" 1>&6
        cat >conftest.c <<EOF
            void $FCALLSCSUB(values)
                $ctype values[4];
            {
                exit(values[1] != -2 || values[2] != -3);
            }
EOF
        doit='$CC -c ${CPPFLAGS} ${CFLAGS} conftest.c'
        if { (eval echo configure:1837: \"$doit\") 1>&5; (eval $doit) 2>&5; }; 
then
            doit='$FC -o conftest ${FFLAGS} ${LDFLAGS} conftestf.f conftest.o 
${LIBS}'
            if { (eval echo configure:1839: \"$doit\") 1>&5; (eval $doit) 2>&5; 
}; 
then
                doit=./conftest
                if { (eval echo configure:1841: \"$doit\") 1>&5; (eval $doit) 
2>&5; }; then
                    echo "$ac_t""yes" 1>&6
                    cname=`echo $ctype | tr ' abcdefghijklmnopqrstuvwxyz' \
                        _ABCDEFGHIJKLMNOPQRSTUVWXYZ`
                    cat >> confdefs.h <<EOF
#define NF_DOUBLEPRECISION_IS_C_$cname 1
EOF

                    break
                else
                    echo "$ac_t""no" 1>&6
                fi
            else
                { echo "configure: error: Could not compile-and-link 
conftestf.f and 
conftest.o" 1>&2; exit 1; }
            fi
        else
            { echo "configure: error: Could not compile conftest.c" 1>&2; exit 
1; }
        fi
    done
    rm -f conftest*


        
    echo $ac_n "checking for FORTRAN-equivalent to netCDF \"byte\"""... $ac_c" 
1>&6
    for type in byte integer*1 integer; do
        cat >conftest.f <<EOF
               $type foo
               end
EOF
        doit='$FC -c ${FFLAGS} conftest.f'
        if { (eval echo configure:1871: \"$doit\") 1>&5; (eval $doit) 2>&5; }; 
then
            break;
        fi
    done
    rm -f conftest.f conftest.o
    cat >> confdefs.h <<EOF
#define NCBYTE_T $type
EOF

    echo "$ac_t""$type" 1>&6
    NCBYTE_T=$type


        
    echo $ac_n "checking for FORTRAN-equivalent to netCDF \"short\"""... 
$ac_c" 1>&6
    for type in integer*2 integer; do
        cat >conftest.f <<EOF
               $type foo
               end
EOF
        doit='$FC -c ${FFLAGS} conftest.f'
        if { (eval echo configure:1892: \"$doit\") 1>&5; (eval $doit) 2>&5; }; 
then
            break;
        fi
    done
    rm -f conftest.f conftest.o
    cat >> confdefs.h <<EOF
#define NCSHORT_T $type
EOF

    echo "$ac_t""$type" 1>&6
    NCSHORT_T=$type




        ;;
    esac


    echo "checking for math library" 1>&6
    case "${MATHLIB}" in
        '')
            echo $ac_n "checking for -lc""... $ac_c" 1>&6
ac_lib_var=`echo c_tanh | tr '.-/+' '___p'`
if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  ac_save_LIBS="$LIBS"
LIBS="-lc  $LIBS"
cat > conftest.$ac_ext <<EOF
#line 1922 "configure"
#include "confdefs.h"
/* Override any gcc2 internal prototype to avoid an error.  */
char tanh();

int main() { return 0; }
int t() {
tanh()
; return 0; }
EOF
if { (eval echo configure:1932: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; }; 
then
  rm -rf conftest*
  eval "ac_cv_lib_$ac_lib_var=yes"
else
  rm -rf conftest*
  eval "ac_cv_lib_$ac_lib_var=no"
fi
rm -f conftest*
LIBS="$ac_save_LIBS"

fi
if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
  echo "$ac_t""yes" 1>&6
  MATHLIB=
else
  echo "$ac_t""no" 1>&6
echo $ac_n "checking for -lm""... $ac_c" 1>&6
ac_lib_var=`echo m_tanh | tr '.-/+' '___p'`
if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  ac_save_LIBS="$LIBS"
LIBS="-lm  $LIBS"
cat > conftest.$ac_ext <<EOF
#line 1956 "configure"
#include "confdefs.h"
/* Override any gcc2 internal prototype to avoid an error.  */
char tanh();

int main() { return 0; }
int t() {
tanh()
; return 0; }
EOF
if { (eval echo configure:1966: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; }; 
then
  rm -rf conftest*
  eval "ac_cv_lib_$ac_lib_var=yes"
else
  rm -rf conftest*
  eval "ac_cv_lib_$ac_lib_var=no"
fi
rm -f conftest*
LIBS="$ac_save_LIBS"

fi
if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
  echo "$ac_t""yes" 1>&6
  MATHLIB=-lm
else
  echo "$ac_t""no" 1>&6
MATHLIB=
fi

fi

            ;;
        *)
            echo "$ac_t""$MATHLIB (user defined)" 1>&6
            ;;
    esac
    

# Extract the first word of "ar", so it can be a program name with args.
set dummy ar; ac_word=$2
echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
if eval "test \"`echo '$''{'ac_cv_prog_AR'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  if test -n "$AR"; then
  ac_cv_prog_AR="$AR" # Let the user override the test.
else
  IFS="${IFS=   }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
  for ac_dir in $PATH; do
    test -z "$ac_dir" && ac_dir=.
    if test -f $ac_dir/$ac_word; then
      ac_cv_prog_AR="ar"
      break
    fi
  done
  IFS="$ac_save_ifs"
  test -z "$ac_cv_prog_AR" && ac_cv_prog_AR=":"
fi
fi
AR="$ac_cv_prog_AR"
if test -n "$AR"; then
  echo "$ac_t""$AR" 1>&6
else
  echo "$ac_t""no" 1>&6
fi

# Extract the first word of "ranlib", so it can be a program name with args.
set dummy ranlib; ac_word=$2
echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
if eval "test \"`echo '$''{'ac_cv_prog_RANLIB'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  if test -n "$RANLIB"; then
  ac_cv_prog_RANLIB="$RANLIB" # Let the user override the test.
else
  IFS="${IFS=   }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
  for ac_dir in $PATH; do
    test -z "$ac_dir" && ac_dir=.
    if test -f $ac_dir/$ac_word; then
      ac_cv_prog_RANLIB="ranlib"
      break
    fi
  done
  IFS="$ac_save_ifs"
  test -z "$ac_cv_prog_RANLIB" && ac_cv_prog_RANLIB=":"
fi
fi
RANLIB="$ac_cv_prog_RANLIB"
if test -n "$RANLIB"; then
  echo "$ac_t""$RANLIB" 1>&6
else
  echo "$ac_t""no" 1>&6
fi

ac_safe=`echo "stdlib.h" | tr './\055' '___'`
echo $ac_n "checking for stdlib.h""... $ac_c" 1>&6
if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  cat > conftest.$ac_ext <<EOF
#line 2056 "configure"
#include "confdefs.h"
#include <stdlib.h>
EOF
ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
{ (eval echo configure:2061: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
ac_err=`grep -v '^ *+' conftest.out`
if test -z "$ac_err"; then
  rm -rf conftest*
  eval "ac_cv_header_$ac_safe=yes"
else
  echo "$ac_err" >&5
  rm -rf conftest*
  eval "ac_cv_header_$ac_safe=no"
fi
rm -f conftest*
fi
if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
  echo "$ac_t""yes" 1>&6
  :
else
  echo "$ac_t""no" 1>&6
cat >> confdefs.h <<\EOF
#define NO_STDLIB_H 1
EOF

fi

ac_safe=`echo "sys/types.h" | tr './\055' '___'`
echo $ac_n "checking for sys/types.h""... $ac_c" 1>&6
if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  cat > conftest.$ac_ext <<EOF
#line 2090 "configure"
#include "confdefs.h"
#include <sys/types.h>
EOF
ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
{ (eval echo configure:2095: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
ac_err=`grep -v '^ *+' conftest.out`
if test -z "$ac_err"; then
  rm -rf conftest*
  eval "ac_cv_header_$ac_safe=yes"
else
  echo "$ac_err" >&5
  rm -rf conftest*
  eval "ac_cv_header_$ac_safe=no"
fi
rm -f conftest*
fi
if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
  echo "$ac_t""yes" 1>&6
  :
else
  echo "$ac_t""no" 1>&6
cat >> confdefs.h <<\EOF
#define NO_SYS_TYPES_H 1
EOF

fi

echo $ac_n "checking for strerror""... $ac_c" 1>&6
if eval "test \"`echo '$''{'ac_cv_func_strerror'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  cat > conftest.$ac_ext <<EOF
#line 2123 "configure"
#include "confdefs.h"
/* System header to define __stub macros and hopefully few prototypes,
    which can conflict with char strerror(); below.  */
#include <assert.h>
/* Override any gcc2 internal prototype to avoid an error.  */
char strerror();

int main() { return 0; }
int t() {

/* The GNU C library defines this for functions which it implements
    to always fail with ENOSYS.  Some functions are actually named
    something starting with __ and the normal name is an alias.  */
#if defined (__stub_strerror) || defined (__stub___strerror)
choke me
#else
strerror();
#endif

; return 0; }
EOF
if { (eval echo configure:2145: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; }; 
then
  rm -rf conftest*
  eval "ac_cv_func_strerror=yes"
else
  rm -rf conftest*
  eval "ac_cv_func_strerror=no"
fi
rm -f conftest*

fi
if eval "test \"`echo '$ac_cv_func_'strerror`\" = yes"; then
  echo "$ac_t""yes" 1>&6
  :
else
  echo "$ac_t""no" 1>&6
cat >> confdefs.h <<\EOF
#define NO_STRERROR 1
EOF

fi

echo $ac_n "checking for ftruncate""... $ac_c" 1>&6
if eval "test \"`echo '$''{'ac_cv_func_ftruncate'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  cat > conftest.$ac_ext <<EOF
#line 2171 "configure"
#include "confdefs.h"
/* System header to define __stub macros and hopefully few prototypes,
    which can conflict with char ftruncate(); below.  */
#include <assert.h>
/* Override any gcc2 internal prototype to avoid an error.  */
char ftruncate();

int main() { return 0; }
int t() {

/* The GNU C library defines this for functions which it implements
    to always fail with ENOSYS.  Some functions are actually named
    something starting with __ and the normal name is an alias.  */
#if defined (__stub_ftruncate) || defined (__stub___ftruncate)
choke me
#else
ftruncate();
#endif

; return 0; }
EOF
if { (eval echo configure:2193: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; }; 
then
  rm -rf conftest*
  eval "ac_cv_func_ftruncate=yes"
else
  rm -rf conftest*
  eval "ac_cv_func_ftruncate=no"
fi
rm -f conftest*

fi
if eval "test \"`echo '$ac_cv_func_'ftruncate`\" = yes"; then
  echo "$ac_t""yes" 1>&6
  cat >> confdefs.h <<\EOF
#define HAVE_FTRUNCATE 1
EOF

else
  echo "$ac_t""no" 1>&6
fi

echo $ac_n "checking for st_blksize in struct stat""... $ac_c" 1>&6
if eval "test \"`echo '$''{'ac_cv_struct_st_blksize'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  cat > conftest.$ac_ext <<EOF
#line 2218 "configure"
#include "confdefs.h"
#include <sys/types.h>
#include <sys/stat.h>
int main() { return 0; }
int t() {
struct stat s; s.st_blksize;
; return 0; }
EOF
if { (eval echo configure:2227: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>
&5; }; then
  rm -rf conftest*
  ac_cv_struct_st_blksize=yes
else
  rm -rf conftest*
  ac_cv_struct_st_blksize=no
fi
rm -f conftest*

fi

echo "$ac_t""$ac_cv_struct_st_blksize" 1>&6
if test $ac_cv_struct_st_blksize = yes; then
  cat >> confdefs.h <<\EOF
#define HAVE_ST_BLKSIZE 1
EOF

fi

# If we cannot run a trivial program, we must be cross compiling.
echo $ac_n "checking whether cross-compiling""... $ac_c" 1>&6
if eval "test \"`echo '$''{'ac_cv_c_cross'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  if test "$cross_compiling" = yes; then
  ac_cv_c_cross=yes
else
cat > conftest.$ac_ext <<EOF
#line 2255 "configure"
#include "confdefs.h"
main(){return(0);}
EOF
{ (eval echo configure:2259: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; }
if test -s conftest && (./conftest; exit) 2>/dev/null; then
  ac_cv_c_cross=no
else
  ac_cv_c_cross=yes
fi
fi
rm -fr conftest*
fi

echo "$ac_t""$ac_cv_c_cross" 1>&6
cross_compiling=$ac_cv_c_cross


echo $ac_n "checking for IEEE floating point format""... $ac_c" 1>&6
if test "$cross_compiling" = yes; then
  :
else
cat > conftest.$ac_ext <<EOF
#line 2278 "configure"
#include "confdefs.h"
#ifndef NO_FLOAT_H
#include <float.h>
#endif

#define EXIT_NOTIEEE    1
#define EXIT_MAYBEIEEE  0

int
main()
{
#if     defined(FLT_RADIX)      && FLT_RADIX != 2
                return EXIT_NOTIEEE;
#elif   defined(DBL_MAX_EXP)    && DBL_MAX_EXP != 1024
                return EXIT_NOTIEEE;
#elif   defined(DBL_MANT_DIG)   && DBL_MANT_DIG != 53
                return EXIT_NOTIEEE;
#elif   defined(FLT_MAX_EXP)    && !(FLT_MAX_EXP == 1024 || FLT_MAX_EXP == 128)
                return EXIT_NOTIEEE;
#elif   defined(FLT_MANT_DIG)   && !(FLT_MANT_DIG == 53 || FLT_MANT_DIG == 24)
                return EXIT_NOTIEEE;
#else
        /* (assuming eight bit char) */
        if(sizeof(double) != 8)
                return EXIT_NOTIEEE;
        if(!(sizeof(float) == 4 || sizeof(float) == 8))
                return EXIT_NOTIEEE;

        return EXIT_MAYBEIEEE;
#endif
}
EOF
{ (eval echo configure:2311: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; }
if test -s conftest && (./conftest; exit) 2>/dev/null; then
  ac_cv_c_ieeefloat=yes
else
  ac_cv_c_ieeefloat=no
fi
fi
rm -fr conftest*
echo "$ac_t""$ac_cv_c_ieeefloat" 1>&6
if test $ac_cv_c_ieeefloat = no; then
  cat >> confdefs.h <<\EOF
#define NO_IEEE_FLOAT 1
EOF

fi

echo $ac_n "checking for ANSI C header files""... $ac_c" 1>&6
if eval "test \"`echo '$''{'ac_cv_header_stdc'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  cat > conftest.$ac_ext <<EOF
#line 2332 "configure"
#include "confdefs.h"
#include <stdlib.h>
#include <stdarg.h>
#include <string.h>
#include <float.h>
EOF
ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
{ (eval echo configure:2340: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
ac_err=`grep -v '^ *+' conftest.out`
if test -z "$ac_err"; then
  rm -rf conftest*
  ac_cv_header_stdc=yes
else
  echo "$ac_err" >&5
  rm -rf conftest*
  ac_cv_header_stdc=no
fi
rm -f conftest*

if test $ac_cv_header_stdc = yes; then
  # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
cat > conftest.$ac_ext <<EOF
#line 2355 "configure"
#include "confdefs.h"
#include <string.h>
EOF
if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
  egrep -e 'memchr' >/dev/null 2>&1; then
  :
else
  rm -rf conftest*
  ac_cv_header_stdc=no
fi
rm -f conftest*

fi

if test $ac_cv_header_stdc = yes; then
  # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
cat > conftest.$ac_ext <<EOF
#line 2373 "configure"
#include "confdefs.h"
#include <stdlib.h>
EOF
if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
  egrep -e 'free' >/dev/null 2>&1; then
  :
else
  rm -rf conftest*
  ac_cv_header_stdc=no
fi
rm -f conftest*

fi

if test $ac_cv_header_stdc = yes; then
  # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
if test "$cross_compiling" = yes; then
  :
else
cat > conftest.$ac_ext <<EOF
#line 2394 "configure"
#include "confdefs.h"
#include <ctype.h>
#define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
#define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
#define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
int main () { int i; for (i = 0; i < 256; i++)
if (XOR (islower (i), ISLOWER (i)) || toupper (i) != TOUPPER (i)) exit(2);
exit (0); }

EOF
{ (eval echo configure:2405: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; }
if test -s conftest && (./conftest; exit) 2>/dev/null; then
  :
else
  ac_cv_header_stdc=no
fi
fi
rm -fr conftest*
fi
fi

echo "$ac_t""$ac_cv_header_stdc" 1>&6
if test $ac_cv_header_stdc = yes; then
  cat >> confdefs.h <<\EOF
#define STDC_HEADERS 1
EOF

fi

echo $ac_n "checking for size_t""... $ac_c" 1>&6
if eval "test \"`echo '$''{'ac_cv_type_size_t'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  cat > conftest.$ac_ext <<EOF
#line 2429 "configure"
#include "confdefs.h"
#include <sys/types.h>
#if STDC_HEADERS
#include <stddef.h>
#include <stdlib.h>
#endif
EOF
if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
  egrep -e '( | )size_t( |      |;)' >/dev/null 2>&1; then
  rm -rf conftest*
  ac_cv_type_size_t=yes
else
  rm -rf conftest*
  ac_cv_type_size_t=no
fi
rm -f conftest*

fi
echo "$ac_t""$ac_cv_type_size_t" 1>&6
if test $ac_cv_type_size_t = no; then
  cat >> confdefs.h <<\EOF
#define size_t unsigned
EOF

fi

echo $ac_n "checking for off_t""... $ac_c" 1>&6
if eval "test \"`echo '$''{'ac_cv_type_off_t'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  cat > conftest.$ac_ext <<EOF
#line 2461 "configure"
#include "confdefs.h"
#include <sys/types.h>
#if STDC_HEADERS
#include <stddef.h>
#include <stdlib.h>
#endif
EOF
if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
  egrep -e '( | )off_t( |       |;)' >/dev/null 2>&1; then
  rm -rf conftest*
  ac_cv_type_off_t=yes
else
  rm -rf conftest*
  ac_cv_type_off_t=no
fi
rm -f conftest*

fi
echo "$ac_t""$ac_cv_type_off_t" 1>&6
if test $ac_cv_type_off_t = no; then
  cat >> confdefs.h <<\EOF
#define off_t long
EOF

fi

echo $ac_n "checking for ssize_t""... $ac_c" 1>&6
if eval "test \"`echo '$''{'ac_cv_type_ssize_t'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  cat > conftest.$ac_ext <<EOF
#line 2493 "configure"
#include "confdefs.h"
#include <sys/types.h>
#if STDC_HEADERS
#include <stddef.h>
#include <stdlib.h>
#endif
EOF
if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
  egrep -e '( | )ssize_t( |     |;)' >/dev/null 2>&1; then
  rm -rf conftest*
  ac_cv_type_ssize_t=yes
else
  rm -rf conftest*
  ac_cv_type_ssize_t=no
fi
rm -f conftest*

fi
echo "$ac_t""$ac_cv_type_ssize_t" 1>&6
if test $ac_cv_type_ssize_t = no; then
  cat >> confdefs.h <<\EOF
#define ssize_t int
EOF

fi

echo $ac_n "checking for ptrdiff_t""... $ac_c" 1>&6
if eval "test \"`echo '$''{'ac_cv_type_ptrdiff_t'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  cat > conftest.$ac_ext <<EOF
#line 2525 "configure"
#include "confdefs.h"
#include <sys/types.h>
#if STDC_HEADERS
#include <stddef.h>
#include <stdlib.h>
#endif
EOF
if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
  egrep -e '( | )ptrdiff_t( |   |;)' >/dev/null 2>&1; then
  rm -rf conftest*
  ac_cv_type_ptrdiff_t=yes
else
  rm -rf conftest*
  ac_cv_type_ptrdiff_t=no
fi
rm -f conftest*

fi
echo "$ac_t""$ac_cv_type_ptrdiff_t" 1>&6
if test $ac_cv_type_ptrdiff_t = no; then
  cat >> confdefs.h <<\EOF
#define ptrdiff_t int
EOF

fi

echo $ac_n "checking for uchar""... $ac_c" 1>&6
if eval "test \"`echo '$''{'ac_cv_type_uchar'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  cat > conftest.$ac_ext <<EOF
#line 2557 "configure"
#include "confdefs.h"
#include <sys/types.h>
#if STDC_HEADERS
#include <stddef.h>
#include <stdlib.h>
#endif
EOF
if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
  egrep -e '( | )uchar( |       |;)' >/dev/null 2>&1; then
  rm -rf conftest*
  ac_cv_type_uchar=yes
else
  rm -rf conftest*
  ac_cv_type_uchar=no
fi
rm -f conftest*

fi
echo "$ac_t""$ac_cv_type_uchar" 1>&6
if test $ac_cv_type_uchar = no; then
  cat >> confdefs.h <<\EOF
#define uchar unsigned char
EOF

fi

echo $ac_n "checking whether char is unsigned""... $ac_c" 1>&6
if eval "test \"`echo '$''{'ac_cv_c_char_unsigned'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  if test "$GCC" = yes; then
  # GCC predefines this symbol on systems where it applies.
cat > conftest.$ac_ext <<EOF
#line 2591 "configure"
#include "confdefs.h"
#ifdef __CHAR_UNSIGNED__
  yes
#endif

EOF
if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
  egrep -e 'yes' >/dev/null 2>&1; then
  rm -rf conftest*
  ac_cv_c_char_unsigned=yes
else
  rm -rf conftest*
  ac_cv_c_char_unsigned=no
fi
rm -f conftest*

else
if test "$cross_compiling" = yes; then
    { echo "configure: error: can not run test program while cross compiling" 
1>&2; exit 1; }
else
cat > conftest.$ac_ext <<EOF
#line 2613 "configure"
#include "confdefs.h"
/* volatile prevents gcc2 from optimizing the test away on sparcs.  */
#if !defined(__STDC__) || __STDC__ != 1
#define volatile
#endif
main() {
  volatile char c = 255; exit(c < 0);
}
EOF
{ (eval echo configure:2623: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; }
if test -s conftest && (./conftest; exit) 2>/dev/null; then
  ac_cv_c_char_unsigned=yes
else
  ac_cv_c_char_unsigned=no
fi
fi
rm -fr conftest*
fi
fi

echo "$ac_t""$ac_cv_c_char_unsigned" 1>&6
if test $ac_cv_c_char_unsigned = yes && test "$GCC" != yes; then
  cat >> confdefs.h <<\EOF
#define __CHAR_UNSIGNED__ 1
EOF

fi

echo $ac_n "checking whether byte ordering is bigendian""... $ac_c" 1>&6
if eval "test \"`echo '$''{'ac_cv_c_bigendian'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  ac_cv_c_bigendian=unknown
# See if sys/param.h defines the BYTE_ORDER macro.
cat > conftest.$ac_ext <<EOF
#line 2649 "configure"
#include "confdefs.h"
#include <sys/types.h>
#include <sys/param.h>
int main() { return 0; }
int t() {

#if !BYTE_ORDER || !BIG_ENDIAN || !LITTLE_ENDIAN
 bogus endian macros
#endif
; return 0; }
EOF
if { (eval echo configure:2661: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>
&5; }; then
  rm -rf conftest*
  # It does; now see whether it defined to BIG_ENDIAN or not.
cat > conftest.$ac_ext <<EOF
#line 2665 "configure"
#include "confdefs.h"
#include <sys/types.h>
#include <sys/param.h>
int main() { return 0; }
int t() {

#if BYTE_ORDER != BIG_ENDIAN
 not big endian
#endif
; return 0; }
EOF
if { (eval echo configure:2677: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>
&5; }; then
  rm -rf conftest*
  ac_cv_c_bigendian=yes
else
  rm -rf conftest*
  ac_cv_c_bigendian=no
fi
rm -f conftest*

fi
rm -f conftest*

if test $ac_cv_c_bigendian = unknown; then
if test "$cross_compiling" = yes; then
    { echo "configure: error: can not run test program while cross compiling" 
1>&2; exit 1; }
else
cat > conftest.$ac_ext <<EOF
#line 2694 "configure"
#include "confdefs.h"
main () {
  /* Are we little or big endian?  From Harbison&Steele.  */
  union
  {
    long l;
    char c[sizeof (long)];
  } u;
  u.l = 1;
  exit (u.c[sizeof (long) - 1] == 1);
}
EOF
{ (eval echo configure:2707: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; }
if test -s conftest && (./conftest; exit) 2>/dev/null; then
  ac_cv_c_bigendian=no
else
  ac_cv_c_bigendian=yes
fi
fi
rm -fr conftest*
fi
fi

echo "$ac_t""$ac_cv_c_bigendian" 1>&6
if test $ac_cv_c_bigendian = yes; then
  cat >> confdefs.h <<\EOF
#define WORDS_BIGENDIAN 1
EOF

fi

echo $ac_n "checking size of short""... $ac_c" 1>&6
if eval "test \"`echo '$''{'ac_cv_sizeof_short'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  if test "$cross_compiling" = yes; then
  :
else
cat > conftest.$ac_ext <<EOF
#line 2734 "configure"
#include "confdefs.h"
#include <stdio.h>
main()
{
  FILE *f=fopen("conftestval", "w");
  if (!f) exit(1);
  fprintf(f, "%d\n", sizeof(short));
  exit(0);
}
EOF
{ (eval echo configure:2745: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; }
if test -s conftest && (./conftest; exit) 2>/dev/null; then
  ac_cv_sizeof_short=`cat conftestval`
else
  ac_cv_sizeof_short=0
fi
fi
rm -fr conftest*
fi
echo "$ac_t""$ac_cv_sizeof_short" 1>&6
cat >> confdefs.h <<EOF
#define SIZEOF_SHORT $ac_cv_sizeof_short
EOF


echo $ac_n "checking size of int""... $ac_c" 1>&6
if eval "test \"`echo '$''{'ac_cv_sizeof_int'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  if test "$cross_compiling" = yes; then
  :
else
cat > conftest.$ac_ext <<EOF
#line 2768 "configure"
#include "confdefs.h"
#include <stdio.h>
main()
{
  FILE *f=fopen("conftestval", "w");
  if (!f) exit(1);
  fprintf(f, "%d\n", sizeof(int));
  exit(0);
}
EOF
{ (eval echo configure:2779: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; }
if test -s conftest && (./conftest; exit) 2>/dev/null; then
  ac_cv_sizeof_int=`cat conftestval`
else
  ac_cv_sizeof_int=0
fi
fi
rm -fr conftest*
fi
echo "$ac_t""$ac_cv_sizeof_int" 1>&6
cat >> confdefs.h <<EOF
#define SIZEOF_INT $ac_cv_sizeof_int
EOF


echo $ac_n "checking size of long""... $ac_c" 1>&6
if eval "test \"`echo '$''{'ac_cv_sizeof_long'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  if test "$cross_compiling" = yes; then
  :
else
cat > conftest.$ac_ext <<EOF
#line 2802 "configure"
#include "confdefs.h"
#include <stdio.h>
main()
{
  FILE *f=fopen("conftestval", "w");
  if (!f) exit(1);
  fprintf(f, "%d\n", sizeof(long));
  exit(0);
}
EOF
{ (eval echo configure:2813: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; }
if test -s conftest && (./conftest; exit) 2>/dev/null; then
  ac_cv_sizeof_long=`cat conftestval`
else
  ac_cv_sizeof_long=0
fi
fi
rm -fr conftest*
fi
echo "$ac_t""$ac_cv_sizeof_long" 1>&6
cat >> confdefs.h <<EOF
#define SIZEOF_LONG $ac_cv_sizeof_long
EOF


echo $ac_n "checking size of float""... $ac_c" 1>&6
if eval "test \"`echo '$''{'ac_cv_sizeof_float'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  if test "$cross_compiling" = yes; then
  :
else
cat > conftest.$ac_ext <<EOF
#line 2836 "configure"
#include "confdefs.h"
#include <stdio.h>
main()
{
  FILE *f=fopen("conftestval", "w");
  if (!f) exit(1);
  fprintf(f, "%d\n", sizeof(float));
  exit(0);
}
EOF
{ (eval echo configure:2847: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; }
if test -s conftest && (./conftest; exit) 2>/dev/null; then
  ac_cv_sizeof_float=`cat conftestval`
else
  ac_cv_sizeof_float=0
fi
fi
rm -fr conftest*
fi
echo "$ac_t""$ac_cv_sizeof_float" 1>&6
cat >> confdefs.h <<EOF
#define SIZEOF_FLOAT $ac_cv_sizeof_float
EOF


echo $ac_n "checking size of double""... $ac_c" 1>&6
if eval "test \"`echo '$''{'ac_cv_sizeof_double'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  if test "$cross_compiling" = yes; then
  :
else
cat > conftest.$ac_ext <<EOF
#line 2870 "configure"
#include "confdefs.h"
#include <stdio.h>
main()
{
  FILE *f=fopen("conftestval", "w");
  if (!f) exit(1);
  fprintf(f, "%d\n", sizeof(double));
  exit(0);
}
EOF
{ (eval echo configure:2881: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; }
if test -s conftest && (./conftest; exit) 2>/dev/null; then
  ac_cv_sizeof_double=`cat conftestval`
else
  ac_cv_sizeof_double=0
fi
fi
rm -fr conftest*
fi
echo "$ac_t""$ac_cv_sizeof_double" 1>&6
cat >> confdefs.h <<EOF
#define SIZEOF_DOUBLE $ac_cv_sizeof_double
EOF


echo $ac_n "checking size of off_t""... $ac_c" 1>&6
if eval "test \"`echo '$''{'ac_cv_sizeof_off_t'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  if test "$cross_compiling" = yes; then
  ac_cv_sizeof_off_t=0
else
cat > conftest.$ac_ext <<EOF
#line 2904 "configure"
#include "confdefs.h"
#include <stdio.h>
#include <sys/types.h>
#if STDC_HEADERS
#include <stdlib.h>
#endif
main()
{
  FILE *f=fopen("conftestval", "w");
  if (!f) exit(1);
  fprintf(f, "%d\n", sizeof(off_t));
  exit(0);
}
EOF
{ (eval echo configure:2919: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; }
if test -s conftest && (./conftest; exit) 2>/dev/null; then
  ac_cv_sizeof_off_t=`cat conftestval`
else
  ac_cv_sizeof_off_t=0
fi
fi
rm -fr conftest*
fi
echo "$ac_t""$ac_cv_sizeof_off_t" 1>&6
cat >> confdefs.h <<EOF
#define SIZEOF_OFF_T $ac_cv_sizeof_off_t
EOF


echo $ac_n "checking size of size_t""... $ac_c" 1>&6
if eval "test \"`echo '$''{'ac_cv_sizeof_size_t'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  if test "$cross_compiling" = yes; then
  ac_cv_sizeof_size_t=0
else
cat > conftest.$ac_ext <<EOF
#line 2942 "configure"
#include "confdefs.h"
#include <stdio.h>
#include <sys/types.h>
#if STDC_HEADERS
#include <stdlib.h>
#endif
main()
{
  FILE *f=fopen("conftestval", "w");
  if (!f) exit(1);
  fprintf(f, "%d\n", sizeof(size_t));
  exit(0);
}
EOF
{ (eval echo configure:2957: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; }
if test -s conftest && (./conftest; exit) 2>/dev/null; then
  ac_cv_sizeof_size_t=`cat conftestval`
else
  ac_cv_sizeof_size_t=0
fi
fi
rm -fr conftest*
fi
echo "$ac_t""$ac_cv_sizeof_size_t" 1>&6
cat >> confdefs.h <<EOF
#define SIZEOF_SIZE_T $ac_cv_sizeof_size_t
EOF



    #
    # NB: We always want to define WHATIS to prevent the
    # $(MANDIR)/$(WHATIS) make(1) target from being just $(MANDIR)/ and
    # conflicting with the (directory creation) target with the same name.
    #
    WHATIS=whatis
    case `uname -sr` in
        'IRIX 6'*)
            # Can't generate a user-database.
            MAKEWHATIS_CMD=
            ;;
        'Linux '*)
            # /usr/sbin/makewhatis doesn't work
            MAKEWHATIS_CMD=
            ;;
        *)
            if test -r /usr/man/windex; then
                WHATIS=windex
            fi
            for ac_prog in catman makewhatis
do
# Extract the first word of "$ac_prog", so it can be a program name with args.
set dummy $ac_prog; ac_word=$2
echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
if eval "test \"`echo '$''{'ac_cv_prog_prog'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  if test -n "$prog"; then
  ac_cv_prog_prog="$prog" # Let the user override the test.
else
  IFS="${IFS=   }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
  for ac_dir in $PATH; do
    test -z "$ac_dir" && ac_dir=.
    if test -f $ac_dir/$ac_word; then
      ac_cv_prog_prog="$ac_prog"
      break
    fi
  done
  IFS="$ac_save_ifs"
fi
fi
prog="$ac_cv_prog_prog"
if test -n "$prog"; then
  echo "$ac_t""$prog" 1>&6
else
  echo "$ac_t""no" 1>&6
fi

test -n "$prog" && break
done

            case "$prog" in
                *catman*)
                    MAKEWHATIS_CMD=$prog' -w -M $(MANDIR)'
                    ;;
                *makewhatis*)
                    MAKEWHATIS_CMD=$prog' $(MANDIR)'
                    ;;
            esac
            ;;
    esac
    
    
    echo $ac_n "checking for manual-page index command""... $ac_c" 1>&6
    echo "$ac_t""$MAKEWHATIS_CMD" 1>&6

    echo $ac_n "checking binary distribution directory""... $ac_c" 1>&6
    case ${FTPBINDIR-unset} in
        unset)
            system=`(system) 2>/dev/null || echo dummy_system`
            FTPBINDIR=${FTPDIR-/home/ftp}/pub/binary/$system
            ;;
    esac
        echo "$ac_t""$FTPBINDIR" 1>&6

trap '' 1 2 15
cat > confcache <<\EOF
# This file is a shell script that caches the results of configure
# tests run on this system so they can be shared between configure
# scripts and configure runs.  It is not useful on other systems.
# If it contains results you don't want to keep, you may remove or edit it.
#
# By default, configure uses ./config.cache as the cache file,
# creating it if it does not exist already.  You can give configure
# the --cache-file=FILE option to use a different cache file; that is
# what configure does when it calls configure scripts in
# subdirectories, so they share the cache.
# Giving --cache-file=/dev/null disables caching, for debugging configure.
# config.status only pays attention to the cache file if you give it the
# --recheck option to rerun configure.
#
EOF
# Ultrix sh set writes to stderr and can't be redirected directly,
# and sets the high bit in the cache file unless we assign to the vars.
(set) 2>&1 |
  sed -n "s/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=\${\1='\2'}/p" \
  >> confcache
if cmp -s $cache_file confcache; then
  :
else
  if test -w $cache_file; then
    echo "updating cache $cache_file"
    cat confcache > $cache_file
  else
    echo "not updating unwritable cache $cache_file"
  fi
fi
rm -f confcache

trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 
2 15

test "x$prefix" = xNONE && prefix=$ac_default_prefix
# Let make expand exec_prefix.
test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'

# Any assignment to VPATH causes Sun make to only execute
# the first set of double-colon rules, so remove it if not needed.
# If there is a colon in the path, we need to keep it.
if test "x$srcdir" = x.; then
  ac_vpsub='/^[         ]*VPATH[        ]*=[^:]*$/d'
fi

trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15

DEFS=-DHAVE_CONFIG_H

# Without the "./", some shells look in PATH for config.status.
: ${CONFIG_STATUS=./config.status}

echo creating $CONFIG_STATUS
rm -f $CONFIG_STATUS
cat > $CONFIG_STATUS <<EOF
#! /bin/sh
# Generated automatically by configure.
# Run this file to recreate the current configuration.
# This directory was configured as follows,
# on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
#
# $0 $ac_configure_args
#
# Compiler output produced by configure, useful for debugging
# configure, is in ./config.log if it exists.

ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
for ac_option
do
  case "\$ac_option" in
  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
    echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create 
--no-recursion"
    exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create 
--no-recursion ;;
  -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
    echo "$CONFIG_STATUS generated by autoconf version 2.9"
    exit 0 ;;
  -help | --help | --hel | --he | --h)
    echo "\$ac_cs_usage"; exit 0 ;;
  *) echo "\$ac_cs_usage"; exit 1 ;;
  esac
done

ac_given_srcdir=$srcdir

trap 'rm -fr `echo "macros.make libsrc/ncconfig.h:libsrc/ncconfig.in
" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
EOF
cat >> $CONFIG_STATUS <<EOF

# Protect against being on the right side of a sed subst in config.status.
sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
 s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
$ac_vpsub
$extrasub
s%@CFLAGS@%$CFLAGS%g
s%@CPPFLAGS@%$CPPFLAGS%g
s%@CXXFLAGS@%$CXXFLAGS%g
s%@DEFS@%$DEFS%g
s%@LDFLAGS@%$LDFLAGS%g
s%@LIBS@%$LIBS%g
s%@exec_prefix@%$exec_prefix%g
s%@prefix@%$prefix%g
s%@program_transform_name@%$program_transform_name%g
s%@bindir@%$bindir%g
s%@sbindir@%$sbindir%g
s%@libexecdir@%$libexecdir%g
s%@datadir@%$datadir%g
s%@sysconfdir@%$sysconfdir%g
s%@sharedstatedir@%$sharedstatedir%g
s%@localstatedir@%$localstatedir%g
s%@libdir@%$libdir%g
s%@includedir@%$includedir%g
s%@oldincludedir@%$oldincludedir%g
s%@infodir@%$infodir%g
s%@mandir@%$mandir%g
s%@M4@%$M4%g
s%@CC@%$CC%g
s%@CC_MAKEDEPEND@%$CC_MAKEDEPEND%g
s%@CXX@%$CXX%g
s%@FC@%$FC%g
s%@FFLAGS@%$FFLAGS%g
s%@FLIBS@%$FLIBS%g
s%@CPP@%$CPP%g
s%@FPP@%$FPP%g
s%@COMPILE_F@%$COMPILE_F%g
s%@MATHLIB@%$MATHLIB%g
s%@AR@%$AR%g
s%@RANLIB@%$RANLIB%g
s%@prog@%$prog%g
s%@WHATIS@%$WHATIS%g
s%@MAKEWHATIS_CMD@%$MAKEWHATIS_CMD%g
s%@FTPBINDIR@%$FTPBINDIR%g

CEOF
EOF
cat >> $CONFIG_STATUS <<EOF

CONFIG_FILES=\${CONFIG_FILES-"macros.make"}
EOF
cat >> $CONFIG_STATUS <<\EOF
for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
  # Support "outfile[:infile]", defaulting infile="outfile.in".
  case "$ac_file" in
  *:*) ac_file_in=`echo "$ac_file"|sed 's%.*:%%'`
       ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
  *) ac_file_in="${ac_file}.in" ;;
  esac

  # Adjust relative srcdir, etc. for subdirectories.

  # Remove last slash and all that follows it.  Not all systems have dirname.
  ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
  if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
    # The file is in a subdirectory.
    test ! -d "$ac_dir" && mkdir "$ac_dir"
    ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
    # A "../" for each directory in $ac_dir_suffix.
    ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
  else
    ac_dir_suffix= ac_dots=
  fi

  case "$ac_given_srcdir" in
  .)  srcdir=.
      if test -z "$ac_dots"; then top_srcdir=.
      else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
  /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
  *) # Relative path.
    srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
    top_srcdir="$ac_dots$ac_given_srcdir" ;;
  esac

  echo creating "$ac_file"
  rm -f "$ac_file"
  configure_input="Generated automatically from `echo $ac_file_in|sed 
's%.*/%%'` by configure."
  case "$ac_file" in
  *Makefile*) ac_comsub="1i\\
# $configure_input" ;;
  *) ac_comsub= ;;
  esac
  sed -e "$ac_comsub
s%@configure_input@%$configure_input%g
s%@srcdir@%$srcdir%g
s%@top_srcdir@%$top_srcdir%g
" -f conftest.subs $ac_given_srcdir/$ac_file_in > $ac_file
fi; done
rm -f conftest.subs

# These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
# NAME is the cpp macro being defined and VALUE is the value it is being given.
#
# ac_d sets the value in "#define NAME VALUE" lines.
ac_dA='s%^\([   ]*\)#\([        ]*define[       ][      ]*\)'
ac_dB='\([      ][      ]*\)[^  ]*%\1#\2'
ac_dC='\3'
ac_dD='%g'
# ac_u turns "#undef NAME" with trailing blanks into "#define NAME VALUE".
ac_uA='s%^\([   ]*\)#\([        ]*\)undef\([    ][      ]*\)'
ac_uB='\([      ]\)%\1#\2define\3'
ac_uC=' '
ac_uD='\4%g'
# ac_e turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
ac_eA='s%^\([   ]*\)#\([        ]*\)undef\([    ][      ]*\)'
ac_eB='$%\1#\2define\3'
ac_eC=' '
ac_eD='%g'

UDCONFIG_HEADERS=${UDCONFIG_HEADERS-"fortran/netcdf-cpp.inc:fortran/netcdf-cpp.
in
"}
for ac_file in .. $UDCONFIG_HEADERS; do if test "x$ac_file" != x..; then
  # Support "outfile[:infile]", defaulting infile="outfile.in".
  case "$ac_file" in
  *:*) ac_file_in=`echo "$ac_file"|sed 's%.*:%%'`
       ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
  *) ac_file_in="${ac_file}.in" ;;
  esac

  echo udcreating $ac_file

  rm -f conftest.frag conftest.in conftest.out
  cp $ac_given_srcdir/$ac_file_in conftest.in

EOF

# Transform confdefs.h into a sed script conftest.vals that substitutes
# the proper values into config.h.in to produce config.h.  And first:
# Protect against being on the right side of a sed subst in config.status.
# Protect against being in an unquoted here document in config.status.
rm -f conftest.vals
cat > conftest.hdr <<\EOF
s/[\\&%]/\\&/g
s%[\\$`]%\\&%g
s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%${ac_dA}\1${ac_dB}\1${ac_dC}\2${ac
_dD}%gp
s%ac_d%ac_u%gp
s%ac_u%ac_e%gp
EOF
sed -n -f conftest.hdr confdefs.h > conftest.vals
rm -f conftest.hdr

# Break up conftest.vals because some shells have a limit on
# the size of here documents, and old seds have small limits too.
# Maximum number of lines to put in a single here document.
ac_max_here_lines=12

rm -f conftest.tail
while :
do
  ac_lines=`grep -c . conftest.vals`
  # grep -c gives empty output for an empty file on some AIX systems.
  if test -z "$ac_lines" || test "$ac_lines" -eq 0; then break; fi
  # Write a limited-size here document to conftest.frag.
  echo '  cat > conftest.frag <<CEOF' >> $CONFIG_STATUS
  sed ${ac_max_here_lines}q conftest.vals >> $CONFIG_STATUS
  echo 'CEOF
  sed -f conftest.frag conftest.in > conftest.out
  rm -f conftest.in
  mv conftest.out conftest.in
' >> $CONFIG_STATUS
  sed 1,${ac_max_here_lines}d conftest.vals > conftest.tail
  rm -f conftest.vals
  mv conftest.tail conftest.vals
done
rm -f conftest.vals

cat >> $CONFIG_STATUS <<\EOF
  rm -f conftest.frag conftest.h
  case "$ac_file" in
  *.h|*.hh|*.H)
      echo "/* $ac_file.  Generated automatically by configure.  */" \
          > conftest.h
      ;;
  esac
  cat conftest.in >> conftest.h
  rm -f conftest.in
  if cmp -s $ac_file conftest.h 2>/dev/null; then
    echo "$ac_file is unchanged"
    rm -f conftest.h
  else
    rm -f $ac_file
    mv conftest.h $ac_file
  fi
fi; done

# These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
# NAME is the cpp macro being defined and VALUE is the value it is being given.
#
# ac_d sets the value in "#define NAME VALUE" lines.
ac_dA='s%^\([   ]*\)#\([        ]*define[       ][      ]*\)'
ac_dB='\([      ][      ]*\)[^  ]*%\1#\2'
ac_dC='\3'
ac_dD='%g'
# ac_u turns "#undef NAME" with trailing blanks into "#define NAME VALUE".
ac_uA='s%^\([   ]*\)#\([        ]*\)undef\([    ][      ]*\)'
ac_uB='\([      ]\)%\1#\2define\3'
ac_uC=' '
ac_uD='\4%g'
# ac_e turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
ac_eA='s%^\([   ]*\)#\([        ]*\)undef\([    ][      ]*\)'
ac_eB='$%\1#\2define\3'
ac_eC=' '
ac_eD='%g'

CONFIG_HEADERS=${CONFIG_HEADERS-"libsrc/ncconfig.h:libsrc/ncconfig.in
"}
for ac_file in .. $CONFIG_HEADERS; do if test "x$ac_file" != x..; then
  # Support "outfile[:infile]", defaulting infile="outfile.in".
  case "$ac_file" in
  *:*) ac_file_in=`echo "$ac_file"|sed 's%.*:%%'`
       ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
  *) ac_file_in="${ac_file}.in" ;;
  esac

  echo creating $ac_file

  rm -f conftest.frag conftest.in conftest.out
  cp $ac_given_srcdir/$ac_file_in conftest.in

EOF

# Transform confdefs.h into a sed script conftest.vals that substitutes
# the proper values into config.h.in to produce config.h.  And first:
# Protect against being on the right side of a sed subst in config.status.
# Protect against being in an unquoted here document in config.status.
rm -f conftest.vals
cat > conftest.hdr <<\EOF
s/[\\&%]/\\&/g
s%[\\$`]%\\&%g
s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%${ac_dA}\1${ac_dB}\1${ac_dC}\2${ac
_dD}%gp
s%ac_d%ac_u%gp
s%ac_u%ac_e%gp
EOF
sed -n -f conftest.hdr confdefs.h > conftest.vals
rm -f conftest.hdr

# This sed command replaces #undef with comments.  This is necessary, for
# example, in the case of _POSIX_SOURCE, which is predefined and required
# on some systems where configure will not decide to define it.
cat >> conftest.vals <<\EOF
s%^[    ]*#[    ]*undef[        ][      ]*[a-zA-Z_][a-zA-Z_0-9]*%/* & */%
EOF

# Break up conftest.vals because some shells have a limit on
# the size of here documents, and old seds have small limits too.
# Maximum number of lines to put in a single here document.
ac_max_here_lines=12

rm -f conftest.tail
while :
do
  ac_lines=`grep -c . conftest.vals`
  # grep -c gives empty output for an empty file on some AIX systems.
  if test -z "$ac_lines" || test "$ac_lines" -eq 0; then break; fi
  # Write a limited-size here document to conftest.frag.
  echo '  cat > conftest.frag <<CEOF' >> $CONFIG_STATUS
  sed ${ac_max_here_lines}q conftest.vals >> $CONFIG_STATUS
  echo 'CEOF
  sed -f conftest.frag conftest.in > conftest.out
  rm -f conftest.in
  mv conftest.out conftest.in
' >> $CONFIG_STATUS
  sed 1,${ac_max_here_lines}d conftest.vals > conftest.tail
  rm -f conftest.vals
  mv conftest.tail conftest.vals
done
rm -f conftest.vals

cat >> $CONFIG_STATUS <<\EOF
  rm -f conftest.frag conftest.h
  case "$ac_file" in
  *.h|*.hh|*.H)
      echo "/* $ac_file.  Generated automatically by configure.  */" \
          > conftest.h
      ;;
  esac
  cat conftest.in >> conftest.h
  rm -f conftest.in
  if cmp -s $ac_file conftest.h 2>/dev/null; then
    echo "$ac_file is unchanged"
    rm -f conftest.h
  else
    rm -f $ac_file
    mv conftest.h $ac_file
  fi
fi; done



exit 0
EOF
chmod +x $CONFIG_STATUS
rm -fr confdefs* $ac_clean_files
test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1